<?php
/**
 * EditorTab
 *
 * @author simpleSolutions
 * @link http://simplesolutions.dk
 * @version 1.0.0
 * @date: November 2010
 * @package editor_tab
 */
 
/**
 * editor_tab_view()
 *
 * @param array $page Gets cleaned of unallowed doublequotes, that will destroy input-fields
 * @return string $view Returns the created view
 * @global string $sn Scriptname (base-directory)
 * @global string $su Selected-URL (query-string)
 * @global array $plugin_tx Plugin-texts
 * @global array $plugin_cf Plugin-configuration
 * @global array $pth CMSimple-paths
 * @global array $cf CMSimple-config-settings
 */
 
//Check if PLUGINLOADER is calling and DIE if not
if(!defined('PLUGINLOADER_VERSION')){die('Plugin '. basename(dirname(__FILE__)) . ' requires a newer version of the Pluginloader. No direct access.');} 

function editor_tab_view($page){
	global $sn, $su, $plugin_tx, $plugin_cf, $pth, $cf;
	$view ="\n".'<form action="'.$sn.'?'.$su.'" method="post" id = "editor_tab" name = "editor_tab">';	
	$view .= "\n\t".'<p><b>'.$plugin_tx['editor_tab']['title'].'</b></p>';

	################################################ 
	$editors=  explode(",", $plugin_cf['editor_tab']['editor_list']);   //array('tinymce','fckeditor');
	for ($i = 0; $i < sizeof($editors); $i++) {
		$editors[$i]=trim($editors[$i]);
		$radio='input type="radio" name="editor" id="'.$editors[$i].'" value="'.$editors[$i].'"';
		if(trim($cf['editor']['external']) == $editors[$i]) {
			 $radio.=' checked';
		}
		$view .= "\n\t\t".tag($radio);
		$view .= "\n\t".'<label for="'.$editors[$i].'" class="editor">'.$editors[$i].'</label>'.tag('br').tag('br');

	}
	################################################
//	$view .= "\n\t".tag('input name = "save_page_data" type = "hidden"');
	$view .= "\n\t".'<div style="text-align: right">';
	$view .= "\n\t\t".tag('input type="submit" value="'.$plugin_tx['editor_tab']['submit'].'"').tag('br');
	$view .= "\n\t".'</div>';
	$view .= "\n".'</form>';
	return $view;
}
?>